
Redmine - Defect #27079

cannot chose multiple value for a custom field

2017-09-26 13:48 - Randa Bustami

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

i had added custom field type" list"  and activate multiple values check box but when i tried to chose 2 values it display server error

but when i chose one value it  save the setting

attached the custom field setting

History

#1 - 2017-09-26 16:40 - Toshi MARUYAMA

- File cf.png added

- Category set to Custom fields

- Status changed from New to Needs feedback

I cannot reproduce on vanilla Redmine 3.4.2.

 

#2 - 2017-09-27 07:46 - Randa Bustami

what i did is added custom field  to the user fields

the type of the new field is " list"   with multiple  values option activated.

when i update user information and chose one value it save the changes without any problem but when i tried to chose 2 values it give me  below

error message:

" Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back"

#3 - 2017-09-27 07:59 - Randa Bustami

- File error messege.PNG added

kindly check the attached screen shot from the log file where it said it must be unique value

that mean the multiple value option is not activated

#4 - 2017-09-27 08:06 - Randa Bustami

- File testing field.PNG added

i had added new custom field type" list "and  activate multiple values option but still give the same error (pls check attached screen shot)

#5 - 2017-09-27 12:48 - Toshi MARUYAMA

I cannot reproduce in users custom field on vanilla Redmine 3.4.2.

Try without plugins.

#6 - 2017-09-27 15:25 - Randa Bustami
this issue is solved

our system admin put validation at Db to except one value only !

you can close the issue

many thanks

#7 - 2017-09-27 16:04 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Files

multiple selection field.PNG 46.2 KB 2017-09-26 Randa Bustami

cf.png 4.43 KB 2017-09-26 Toshi MARUYAMA

error messege.PNG 53.5 KB 2017-09-27 Randa Bustami

testing field.PNG 6.03 KB 2017-09-27 Randa Bustami
